=== debian/changelog ===
afni (16.2.07~dfsg.1-5~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 12 Jun 2017 11:28:48 -0400

afni (16.2.07~dfsg.1-5) neurodebian; urgency=medium

  * Remove bdepends on hardening-includes which were removed in >=stretch, and
    just rely on dpkg-buildflags output

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Jun 2017 18:28:40 -0400

afni (16.2.07~dfsg.1-4) neurodebian; urgency=medium

  * Placed in build-time conflict with libglw1-mesa-dev == 8.0.0-1.1
    which is a known version to not carry the patch (see #863826)
    http://marc.info/?l=cygwin-xfree&m=141268983004514&w=2

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 02 Jun 2017 13:53:17 -0400

afni (16.2.07~dfsg.1-3) neurodebian; urgency=medium

  * BF for amd64 precise -- explicitly specify -fPIC for CFLAGS

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 31 Aug 2016 08:21:05 -0400

afni (16.2.07~dfsg.1-2) neurodebian; urgency=medium

  * install lib_fat_plot_sel.py lib_vars_object.py lib_fat_Rfactor.py libraries
    and unWarpEPI.py script
    (thanks Jeffrey Mark Siskind for the report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 27 Aug 2016 22:38:54 -0400

afni (16.2.07~dfsg.1-1) neurodebian; urgency=medium

  * Major update after a long time
    - New programs: 3dToyProg, nifti_tool, nifti1_tool, nifti1_test,
      nifti_stats, gifti_tool, cifti_tool, images_equal, uniq_images,
      GLTsymtest, 3dPval, 3dETC, stimband, 1dNLfit, csfft_cache, 3dLocalACF,
      3dNormalizer, 3dVecRGB_to_HSL, 3ddot_beta, 3dLombScargle, 3dAmpToRSFC,
      tokens, csfft_cache
    - New scripts: @Install_DBSproc, @Install_D99_macaque, @Install_3dPFM_Demo,
      3dPFM, @diff.files, @diff.tree, @get.afni.version, @GradFlipTest,
      @fat_tract_colorize
    - New Python scripts: fat_lat_csv.py fat_mat_sel.py fat_mvm_review.py,
      read_matlab_files.py, afni_skeleton.py, @DoPerRoi.py,
      lpc_align.py, parse_fs_lt_log.py
    - New Matlab scripts: afni_isdigit.m, afni_swapbytes.m
    - 19 new faces, 10 new splashes, and 172 new quotes
    - run afni_history for a more detailed account of upstream changes
  * Now built as a fork from upstream's github repo
  * Updated CMake build system
  * Build and bundle AFNI's copy of both gifti and nifti
    - due to the latest versions being here in AFNI rather than upstream :-/
  * debian/patches
    - up_include_right: some include fixes
  * Bump debian/compat to 9

 -- Michael Hanke <mih@debian.org>  Fri, 05 Aug 2016 12:49:14 +0200
